<div id="cookieBanner" class="g-284d5344 g-a099c319 g-ea465c0f g-ef910451" data-mui-toggle="popover" data-analytics-checked="d0eb83f87736" data-module-priority="high" data-widget-content="f7c5a5cf5f22" data-mui-selector="f4a0988c">
    <h3 class="g-24363fd2 globalClass:c-text}" id="elem-d3730475c7612c8d">We use cookies</h3>
    <p class="g-4a7c5c5a g-99fc6ecc g-5caee912" data-mui-unit="614d03f" data-component-category="error" data-test-expanded="8d00b0" data-block-position="top">
        We use cookies to ensure the proper functioning of the website, analyze traffic, and improve your experience. You can accept all cookies or reject them — the site will continue to operate. For more details, read our <a href="/cookie-policy/" target="_blank">Cookie Policy.</a>
    </p>
    <div class="g-7180bb9a g-4a7c5c5a" id="elem-504036611666a712">
        <button id="acceptBtn" class="g-52725655 g-3d3e8f06 g-59392f83" data-mui-target="d6b5666098c" data-section-action="click" data-block-theme="dark" data-bs-locator="80d124e63"><span>Accept</span></button>
        <button id="rejectBtn" class="g-52725655 g-3d3e8f06 g-8d9fea34 g-59392f83" id="elem-ed88907d350e546b"><span>Reject</span></button>
    </div>
</div>
<script>
    document.addEventListener('DOMContentLoaded', () => {
        const banner = document.getElementById('cookieBanner');
        const accept = document.getElementById('acceptBtn');
        const reject = document.getElementById('rejectBtn');
        
        if (!banner || !accept || !reject) return;

        const decision = localStorage.getItem('cookieDecision');
        if (!decision) {
            banner.classList.add('g-6b32322e');
        }

        accept.addEventListener('click', function(){
            localStorage.setItem('cookieDecision', 'accepted');
            banner.remove();
        });

        reject.addEventListener('click', function(){
            localStorage.setItem('cookieDecision', 'rejected');
            banner.remove();
        });
    });
</script>